Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Package dateformat :: Module view :: Class DateFormatDialog |
[frames] | no frames]

# Class DateFormatDialog

source code

    humblewx.Dialog --+
                      |
       framework.Dialog --+
                          |
                         DateFormatDialog

    <BoxSizerVertical>
        <FlexGridSizer name="grid" rows="0" columns="2" border="ALL" >
            <StaticText
                align="ALIGN_CENTER_VERTICAL"
                label="$(date_format_text)"
            />
            <TextCtrl name="date_format" fit_text="__YYYY__MMM__DD__" />
            <StaticText
                align="ALIGN_CENTER_VERTICAL"
                label="$(locale_date_format_text)"
            />
            <StaticText
                align="ALIGN_CENTER_VERTICAL"
                name="locale_date_format"
            />
        </FlexGridSizer>
        <BoxSizerHorizontal>
            <StretchSpacer/>
            <DialogButtonsOkCancelSizer
                border="ALL"
                event_EVT_BUTTON__ID_OK="on_ok"
            />
        </BoxSizerHorizontal>
    </BoxSizerVertical>

Instance Methods
__init__(self, parent, config) | source code
SetDateFormat(self, value) | source code
GetDateFormat(self) | source code
SetLocaleDateFormat(self, value) | source code
DisplayErrorMessage(self, message) | source code
Inherited from `framework.Dialog`: `DisplayInformationMessage`, `EndModalOk`

Method Details

### DisplayErrorMessage(self, message) | source code
Overrides: framework.Dialog.DisplayErrorMessage